cs_parse_string(3)

NAME
cs_parse_string - parse a CS template string

SYNOPSIS
#include <cs/cs.h> NEOERR *cs_parse_string (CSPARSE *parse, char *buf, size_t blen);

ARGUMENTS
parse - a CSPARSE structure created with cs_init
buf - the string to parse. Embedded NULLs are not currently
supported
blen - the length of the string

DESCRIPTION
cs_parse_string parses a string. The string is modified, and internal references are kept by the parse tree. For this reason, ownership of the string is transfered to the CS system, and the string will be free'd when cs_destroy() is called. The parse information will be appended to the current parse tree. During parse, the only HDF variables which are evaluated are those used in evar or include statements.

RETURN VALUE
None

SEE ALSO
cs_dump(3), cs_destroy(3), cs_render(3), cs_register_esc_strfunc(3), cs_arg_parsev(3), cs_register_fileload(3), cs_init(3), cs_register_strfunc(3), cs_arg_parse(3), cs_parse_string(3), cs_parse_file(3), =(3), cs_register_function